Титул

 Top Next

SIMATIC

S7-PLCSIM V5.3 с SP1

имитатор ПЛК S7

User Manual

Edition: 01/2005

Файл S7-PLCSIM_V5_r.pdf с официального сайта является практически полной переведенной копией справочного файла

S7-PLCSIM V5.0

Редакция 06/2001

2809918-0002

C79000–G7000–C201–02

(с некоторыми добавками от FAQ и от меня 05/07/06)

Неофициальные сайты любителей Симатика

http://simatic.nm.ru/phorum.dhtml

http://simatic.net.ru


Предисловие

 Top Previous Next

S7-PLCSIM позволит Вам выполнить и протестировать Вашу программу на имитаторе программируемого логического контроллера (ПЛК) с некоторыми ограничениями.

S7-PLCSIM можно использовать в связке c симуляцией приложений человеко-машинного интерфейса HMI - ProTool, WinCC Flexible, WinCC. Это удобней делать на 2-х мониторах. На одном размещать S7-PLCSIM и Step7, а на втором запускать HMI приложение в режиме Runtime.

Даже в случае отсутсвия в вашем проекте HMI приложения, для удобства и наглядности отладки можно создать временное приложение, на котором разместить имитацию кнопок, датчиков, индикаторов и графиков. После отладки можно просто удалить это приложение.

S7-PLCSIM использует графический интерфейс пользователя, позволяющий:

· наблюдать и изменять переменные, входы и выходы,
· прогонять программу по одному циклу и в непрерывном режиме,
· менять режим работы имитируемого ПЛК.
· использовать символьное представление переменных, подключая таблицу символов из программы
· записывать последовательность изменения переменных в текстовый файл и затем воспроизводить её - например комбинацию срабатывания датчиков по времени. При этом можно отредактировать текстовый файл сценария и изменять последовательность и временные уставки изменений.
· прогонять записанный сценарий в связке с имитацией приложений HMI - при этом записанные тэги изменяются согласно сценарию и одновременно можно менять тэги из приложения HMI

Audience

This manual is intended for engineers, programmers, and maintenance personnel who have knowledge and experience with S7 programmable logic controllers and STEP 7 programming.

Scope

This document describes the features and the operation of S7-PLCSIM V5.3 incl. SP1. For a printable PDF version of this online manual, click here: adobe

Other Manuals

You can find additional information in the online help for STEP 7 and in the following manuals:

· Programming with STEP 7 Manual. This manual provides basic information on designing and programming control programs. Use this manual when creating a control program with the STEP 7 automation software.
· System Software for S7-300/400 System and Standard Functions Reference Manual. This manual provides you with descriptions of the system functions, organization blocks, and standard functions that you use when developing a control program.
· Working with STEP 7 Getting Started Manual. This manual explains how to use the STEP 7 automation software. This manual provides you with an overview of the procedures used to configure a PLC and to develop control programs.

To find these and other manuals, select the Start > Simatic > Documentation menu command from the Start menu of the computer where STEP 7 is installed.

Additional Assistance

For assistance in answering technical questions, for training on this product, or for ordering, contact your Siemens distributor or sales office.

CHECKBOX2 North America and South America | CHECKBOX2 Europe and Africa | CHECKBOX2 Asia and Pacific region
Telephone: +1 (800) 333-7421 | Telephone: +49 (0) 180 5050 222 | Telephone: +86 10 64 75 75 75
Fax: +1 (423) 262-2200 | Fax: +49 (0) 180 5050 223 | Fax: +86 10 64 74 74 74
simatic.hotline@siemens.com | adsupport@siemens.com | adsupport.asia@siemens.com


Типы имитируемых CPU

 Top Previous Next

Support of highly available systems:
From S7-PLCSIM V5.2 on, blocks needed by the highly available Systems S7-400H CPU and the F-Systems E/A can be loaded. These are the following blocks:
SDB99, SFC65091, SFC65092, SFC65093, SFC65094, SFC65095, SFC65096, SFB65098, SFC65099, SFC65103 and SFC65102

Support of new CPU firmware:
Additionally to the CPU types that are supported at the moment, the CPUs with the firmware V3.0 and V3.1 can also be loaded from S7-PLCSIM V5.2 on:

CPU | MLFB
318-2 | 6ES7-318-2AJ00-0AB0
412-2 PCI | 6ES7-612-2QH00-0AB4
416-2 PCI | 6ES7-612-2QL00-0AB4
412-1 | 6ES7-412-1XF03-0AB0
412-2 DP | 6ES7-412-2XG00-0AB0
414-2 DP | 6ES7-414-2XG03-0AB0
414-3 DP | 6ES7-414-3XJ00-0AB0
416-2 DP | 6ES7-416-2XK02-0AB0
416-3 DP | 6ES7-416-3XL00-0AB0
417-4 | 6ES7-417-4XL00-0AB0

Table 1: CPUs supported from S7-PLCSIM V5.2 on

It is possible to load projects from H-System CPUs (e. g. 414-4HJ00 and 417-4HL01); however, the H-functions cannot be simulated completely in S7-PLCSIM, as S7-PLCSIM can simulate only one CPU at a time.

Support of additional CP-cards:

· S7-PLCSIM supports only S7-CPUs that have integrated communication capabilities (e. g. Win LC, CPU315-2 or CPU416-2 DP).
· S7-PLCSIM does not support communication that is implemented over CP modules.
Example:
If you would like to load a hardware configuration for a CPU 416-2 DP with a CP 443-5 (both DP masters), S7-PLCSIM supports only the CPU 416-2 DP.
· S7-PLCSIM does not support hardware configuration with more than one DP master. Overmore, S7-PLCSIM does not support Industrial Ethernet CPs (e. g. CP343-1).
· If you do not load the hardware configuration to define the valid addresses in the peripherial areas (PE and PA), all addresses in the peripherial areas (PE and PA) are treated as valid addresses.

CiR-Objekt (Configuration in RUN):
Hardware configuration with CiR objects (Configuration in RUN) is not supported.


Переключение между реальным и имитируемым CPU

 Top Previous Next

Переключение между реальным и имитируемым CPU с S7-PLCSIM

Начиная с версии STEP 7 5.1 SP6, вы можете включить и выключить симуляцию в SIMATIC Manager или STEP 7 Lite без предварительного закрытия проекта S7-Project.

Во избежание недоразумений между симулируемым и реальным CPU при использовании инструментов STEP 7, только одно online соединение возможно - или реальное или симулируемое.

Реальная MPI сеть заменяется виртуальной сетью в которой показывается только симулируемый CPU (e.g. in the window for the partners that can be reached).

Перед сменой online режима прямого соединения, STEP 7 и STEP 7 Lite показывает сообщение о закрытии соотвествующего типа соединения CPU.

Порядок активации / деактивации симуляции в SIMATIC Manager:

Активация симулятора:

· Закройте все соединения к "реальному" контроллеру CPU
· Выберите в меню Extras > Simulate Modules или нажмите кнопку "Simulation on/off" [image] на панели инструментов инструментов STEP 7.
· Перешлите конфигурацию оборудования "HW configuration" и программные блоки в симулятор S7-PLCSIM нажав на кнопку [image] на панели инструментов инструментов STEP 7.

Деактивация симулятора:

· Закройте S7-PLCSIM , выберите в меню Extras > Simulate Modules или нажмите кнопку "Simulation on/off" SIM-DOWN на панели инструментов STEP 7.
· STEP 7 снова подключен к "реальному" контроллеру CPU.


В связке с визуализацией

 Top Previous Next

S7-PLCSIM можно использовать в связке c симуляцией приложений человеко-машинного интерфейса HMI - ProTool, WinCC Flexible, WinCC, WinCC RT, PCS7, PDIAGN.

Это удобней делать на 2-х мониторах. На одном размещать S7-PLCSIM и Step7, а на втором запускать HMI приложение в режиме Runtime.

Даже в случае отсутсвия в вашем проекте HMI приложения, для удобства и наглядности отладки можно создать временное приложение, на котором разместить имитацию кнопок, датчиков, индикаторов и графиков. После отладки можно просто удалить это приложение.


ProTool

 Top Previous Next

Связь ProTool/Pro Runtime V6.0 с отладкой в PLCSIM V5.0 SP1

Вопрос:
Какие установки требуются для связи между ProTool/Pro Runtime V6.0 и PLCSIM V5.0 SP1 при отсутствии аппаратной MPI карты?

Ответ:
Если MPI карта не установлена на компьютер, тогда, как минимум, должен быть установлен программный PC adapter в качестве интерфейса для STEP 7 V5.1 SP4.

Для этого :

1. Нажмите на кнопку Windows Start (Пуск) и последовательно выберите в меню SIMATIC > STEP 7 > Set PG/PC interface (Установить интерфейс связи между компьютером и контроллером).
2. Нажмите кнопку "Select" (Выбрать) в окне "Interfaces Add/Remove" (Добавить/Удалить интерфейс).
3. Выбери "PC-Adapter" в левой части окна.
4. Нажмите на кнопку "Install" (Установить).

Рис. 1: Установить интерфейс

5. Закрыть диалог "Close".
6. Для связи с приложением "Access Point of the Application" "S7ONLINE > PC Adapter" выберите "PC Adapter (Auto)".

Рис. 2: Выбор устройства связи с приложением

После этого будет установлена связь между ProTool/Pro Runtime V6.0 и PLCSIM V5.0 SP1.


WinCC

 Top Previous Next

Как связать WinCC с отладчиком S7 PLCSIM?

Инструкция:

Установить программы в следующем порядке:

Порядок | Программа
1 | STEP 7
2 | S7 PLCSIM
3 | WinCC

При установке WinCC, выберите тип установки по выбору пользователя (user-defined installation) и выберите в устанавливаемых компонентах "Communication" и компонент "Object Manager":

Рис. 01

Запустите приложения STEP 7 :

No. | Процедура
1 | Запустите SIMATIC Manager.
2 | Запустите S7 PLCSIM.
3 | Откройте существующий проект симуляции или создайте новый проект
4 | Вставьте OS в проект.
5 | Загрузите проект S7 PLCSIM.
6 | В S7 PLCSIM установите адрес MPI CPU, заданный в HW Config "PLC > MPI Address".
7 | Откройте OS в проекте STEP 7.

Работа с WinCC:

1 Вставьте "SIMATIC S7 PROTOCOL SUITE" в Tag Management.

2 Создайте новое соединение через MPI.

3 Кликните правой кнопкой мыши на соединении и выберите "Properties" (Свойства).

4 Нажмите кнопку "Properties" (Свойства).

5 В закладке "Connection" (Соединение) задайте выбранный адрес MPI и слот CPU, сконфигурированный в STEP 7.

Рис.2

6 Нажмите кнопку "OK".

7 Активизируйте проект WinCC.

8 Через меню "Start > SIMATIC > WinCC > Tools > Channel Diagnosis" будет доступна информация о состоянии соединения "Channels Connection".

9 Если нет соединения, проверьте параметры MPI Unit в WinCC Explorer через меню "Tag Management > SIMATIC S7 PROTOCOL SUITE > MPI > System Parameters".
Выберите закладку "Unit" и установите галочку "Set automatically" (Установить автоматически).

Рис. 03


WinCC RT

 Top Previous Next

Работа S7-PLCSIM через WinCC RT

Как возможно работать с S7-PLCSIM (RUN-P, RUN, STOP и MRES) напрямую через WinCC Runtime?

ОТВЕТ:
Это можно реализовать в WinCC без дополнительного программирования следующим образом:

· Запустите S7-PLCSIM
· Откройте Graphics Designer
· Добавьте объект управления Control
· Выберите объект "Siemens.S/WSPanel.1" (Fig. 1)

· Откройте окно свойств объекта
· Смените аттрибут "Connect" (Соединение) на "yes" (Да). (Fig. 2)

· Сохраните рисунок
·

Примечание:
Всегда запускайте S7-PCLSIM перед вызовом рисунка


WinCC Flexible

 Top Previous Next

Аналогично Протул и ВыньСС


Exсel

 Top Previous Next

Как получить доступ к блокам данных DB в S7-PLCSIM из Microsoft Excel?

ОТВЕТ:
Прямой доступ к блокам данных невозможен.

С программой S7-ProSim (не путать с PLCSIM), тем не менее, можно получить доступ к области ввода/вывода I/O программы S7-PLCSIM.

Это позволяет размещать данные для визуализации в области ввода/вывода I/O area.

В этом случае возможно наблюдать и изменять Excel.


PCS7

 Top Previous Next

Совместная работа S7-PLCSIM V5.2/V5.3 и OS системы SIMATIC PCS 7 V6.0/V6.1

ВОПРОС:
Как сконфигурировать соединение между S7-PLCSIM V5.2/V5.3 и OS системы SIMATIC PCS 7 V6.0/V6.1?

ОТВЕТ:
Программа S7-PLCSIM V5.2/V5.3 поставляется в комплекте PCS 7 V6.0/6.1 (CD3 или DVD V6.1).

Об отличиях от реального ПЛК S7 смотри здесь.
S7-PLCSIM поддерживает только MPI протокол.

Для соединения PCS 7 OS с симулируемым S7 контроллером, внешние переменные после компиляции OS будут сохранены в комкуникационном канале MPI.

Два возможных способа описаны далее.

Новый проект (New Project/Test Project)
Если создать проект через шаблон проектов PCS 7 (wizard), то соединения не будут созданы.

В этом случае можно скомпилировать проект OS без сконфигурированных сетевых соединений.

Канал MPI будет использоваться автоматически и соответствующие предупреждения будут включены в протокол компиляции:

" *** Warning ***: No network connection has been specified. A default connection with MPI channel will be used. "

(*** Внимание*** : Не было создано сетевое соединение. По умолчанию будет использовано соединение через канал MPI)

После компиляции можете удостовериться в установке "Logical Device Name" и адрес MPI будет изменен для канала MPI в WinCC Explorer.

Например, "S7ONLINE" для "Logical Device Name" и адреса MPI 2 (или установленного в S7-PLCSIM).

Рис. 1 показывает где ввести адрес MPI.

Рис. 1: Ввод адреса MPI в PCS 7 OS

Поект с соединениями уже имеется
Если вы хотите симулировать уже существующий проект в S7-PLCSIM, и соединения уже сконфигурированы, то рекомендуется следующая процедура:

1. Откройте HW Config станции PC

Fig. 2: HW Config of the PC station

2. Добавьте карту CP 5611 в конфигурацию станции PC. (Карта CP 5611 не должна присутствовать в станции PC.) После добавления CP 5611 автоматически появится диалог Properties (Свойтва). Можно закрыть диалог без внесения изменения нажав на кнопку "OK" (Рис. 3).

Рис. 3: Диалог после добавления карты CP 5611

3. Двойным щелчком на CP 5611 откройте диалог Object Properties (Свойства объекта). По умолчанию в качестве интерфейса установлен тип "PROFIBUS". Замените интерфейс на "MPI" (Рис. 4).

Рис. 4: Изменение типа интерфейса

В появившемся окне предупреждения нажмите на кнопку "Yes" (Рис. 5).

Fig. 5: Предупреждение после изменения типа интерфейса

4. Откройте диалог Properties (Свойства) интерфейса MPI нажав кнопку "Properties...". Выберите доступную сеть MPI(1) в качестве подсети станции PC с внутренним интерфейсом с CPU или в нашем случае с S7-PLCSIM (Fig. 6).

Fig. 6: Подключение CP 5611 к сети

Закройте окно "Properties - MPI interface CP 5611" и "Properties CP 5611" кнопкой "OK".

При компиляции OS, выберите соединение MPI в качестве соединения OS с сетью. После компиляции OS, перейдите к "MPI > System Parameters > Unit" в WinCC Tag Management и удостоверьтесь, что CP 5611 выбрана как "Logical Device Name".

5. Также проверьте в свойтсвах CPU (HW Config) что внутренний интерфейс MPI СPU подключен к подсети MPI (подобно Рис. 6).


fail-safe programs

 Top Previous Next

Implementing S7-PLCSIM with fail-safe programs in SIMATIC PCS 7 V6

QUESTION:
How are fail-safe programs supported by S7-PLCSIM and SIMATIC PCS 7 V6?

ANSWER:
The installation CD of SIMATIC PCS 7 V6 also includes S7-PLCSIM version V5.2. This version of S7-PLCSIM supports F projects directly. This means that if you have installed S7-PLCSIM V5.2, you no longer have to replace the function blocks of your project with simulation blocks in Simulation mode. In S7-PLCSIM V5.2 the "Simulation" button is no longer displayed in the dialog field "Edit fail-safe program".

Note:
There are still certain restrictions for the use of S7-PLCSIM V5.2:

· The communication between CPUs is no longer supported.
· S7-PLCSIM cannot reinitialize the fail-safe program after restart of the "F_SHUTDN" function block. In this case the user has to restart S7-PLCSIM.
· In order to be able to load the fail-safe program in S7-PLCSIM V5.2 the user must first load the hardware and then the fail-safe program.
· S7-PLCSIM uses an unchangeable password for the CPU: plcsim (lowercase letters).

Please also refer to the note in section 5.4.12 "Testing F program with S7-PLCSIM offline" in the manual "S7 F/FH Automation Systems" in Entry ID 2201072.


PDIAGN

 Top Previous Next

ВОПРОС:
Почему определения ошибок S7-PDIAG V5.1 больше не показываются, когда загружается программа в S7-PLCSIM V5.2?

ОТВЕТ:
Вы создали проект S7-400 CPU с версией прошивки > V3.0.

Для S7-400 CPUs S7-PDIAG V5.1 автоматически использует новый блок предупреждений ALARM (SFC 107 ALARM_DQ и SFC 108 ALARM_D). S7-PDIAG ищет данные в конфигурации оборудования Hardware Configuration. Блок предупреждений ALARM_DQ and ALARM_D поддерживается только симулятором S7-PLCSIM V5.3 и выше.

Решение:
Для тестирования S7-PLCSIM V5.2 (и старее) сконфигурируйте CPU с прошивкой V3.0 (или меньше) и сгенерируйте S7-PDIAG ещё раз.

Будут созданы сообщения со старым блоком предупреждений ALARM (ALARM_S и ALARM_SQ).


Object has already been deleted

 Top Previous Next

S7-PLCSIM "Object has already been deleted" message during access

QUESTION:
Why does the message "Object has already been deleted" appear when I load into the PLC (S7-PLCSIM)?

ANSWER:
Сообщение "Object has already been deleted" является ошибочным - никакие объекты не удаляются!
Соединение между STEP 7 и PLC неправильное. Будет установлено соединение "MPI", но не "auto" или "none". Эти установки производятся в окне установки интерфейса "Set PG/PC Interface".

Рис. 1: Диалог установки интерфейса PG/PC

Note:
This message only appears when you attempt to load a program into S7-PLCSIM that is not assigned to any S7 station.


Fail Save program

 Top Previous Next

Use of S7-PLCSIM with failsafe programs

QUESTION:
How does S7-PLCSIM support failsafe programs?

ANSWER:
F-programs are supported directly from V5.2 of S7-PLCSIM onwards. In other words, if S7-PLCSIM V5.2 is installed, the function blocks for your project cannot be replaced by simulation blocks in simulation mode. The "Simulation" button in the "Process safety program" dialog field disappears.

Note:
However, certain restrictions continue to apply to the use of S7-PLCSIM V5.2:

· Communication between CPUs is not supported.
· S7-PLCSIM cannot re-initialize the safety program after the "F_SHUTDN" function block is restarted. In this case, the user must re-start S7-PLCSIM.
· In order to load the safety program in S7-PLCSIM V5.2, the user has to install the hardware first, then load the safety program. S7-PLCSIM uses an unchangeable password for the CPU: plcsim (lower-case lettering).
· S7-PLCSIM can be used for S7 F/FH system.
· As from the Distributed Safety Version V5.3 variables of the safety program can be observed and controlled and other write accesses to the safety program can be run. Once the consistent safety program has been loaded into S7-PLCSIM the Safety mode (in the "Safety Program" dialog) must be disabled before controlling the variables. Otherwise S7-PLCSIM might go into STOP.

Also refer to the notes in section 5.4.12 "Testing F-Program with S7-PLCSIM Offline" in the "S7 F/FH Programmable Logic Controllers" manual under Entry ID: 2201072


Имитации включения и выключения питания

 Top Previous Next

Выбери через меню команду PLC > Power On и Power Off для имитации включения и выключения питания.

После вкл./выключения питания S7-PLCSIM V5 всегда переходит в режим STOP

QUESTION:
Which operating state does the S7-PLCSIM have after power OFF/ON?

ANSWER:
Unlike S7 300 and S7 400 CPUs, the operating state of the S7-PLCSIM after power OFF/ON (CTRL+0/1) is always STOP.

You can however tell which operating state was active before "Power OFF" from the check boxes (like the key switch of a "real" CPU). The last state set is still displayed.
To get the S7-PLCSIM back into the operating state "RUN" you have to manually set the "STOP" check box and then one of the "RUN" check boxes.


Использование Записи/Воспроизведения

Использование Записи/Воспроизведения сценариев

 Top Previous Next

Использование Записи/Воспроизведения сценариев

Диалоговое окно Запись/Воспроизведение позволяет Вам записывать или воспроизводить последовательности изменения данных.

При этом Имитатор должен находится в режиме RUN.

Нажмите на кнопку Record/Playback (Запись/Воспроизведение) [image] .

Комбинация клавиш Alt + F5 переключает отображение кнопки Record/Playback (Запись/Воспроизведение).

Для доступа к этому окну выполните одну из команд:

Выберите команду меню Tools > Record/Playback (Инструменты > Запись / Воспроизведение)

В этом разделе обсуждается следующее:

· Как записать или воспроизвести файл событий
· Советы по устранению проблем

При записи создается текстовый файл сценария изменений :

334 SET EB0 15

552 SET AB0 1

....

Время | Тип операции | Адрес изменений | Изменяемый бит |
326 | SET | EB0 | 1 | Установить входной бит 1 IB0
400 | SET | AB0 | 7 | Установить выходные биты 1, 2,3 QB0
800 | SET | MD2 | 34087041 | Задать значение MD2 = 34087041
800 | SET | T0 | 32778 | Задать значение таймера T0 = 32778
1085 | SET | Z0 | 10 | Задать значение счётчика Z0 = 10

Этот файл можно отредактировать в текстовом редакторе, изменив метки времени, адреса и устанавливаемые значения.

Для удобства можно создать несколько файлов:

· Начальные установки (задать одну метку времени),
· Процесс,
· Возникновение ситуаций...

Комбинируя запуск различных сценариев и имитацию через программы визуализации можно смоделировать управление довольно сложными процессами и наблюдать это в динамике.


Особенности симуляции CPU 317-T

 Top Previous Next

S7-PLCSIM can simulate control programs developed for a CPU 317-T with limitations.

The simulation does not access any motion control devices. Calls to motion control function blocks simply return to the calling block with some limited error checking. Error checking includes:

· Existence of instance DB
· Existence of technology DB
· Range checking of parameters with defined ranges

S7-PLCSIM does set output parameters for a few of the MC commands for the CPU 317-T as defined below, providing the input parameters are valid:

MC Command | Parameter | Value(s) set
MC_Power | Statusword.DriveEnabled Statusword.Standstill | True for enabled, false for disabled True
MC_Stop | Statusword.Stopping Statusword.Standstill | True True
MC_MoveAbsolute (MC_MvAbs) | Position | Input parameter position
MC_ExternalEncoder (MC_ExEnc) | Position | Input parameter position

How do you use S7-PLCSIM for a CPU 317T-2DP (with MPI/DP interface) when the module is parameterized as a DP interface?

Answer T2
How do you use S7-PLCSIM for a CPU 317T-2DP (with MPI/DP interface) when the module is parameterized as a DP interface?

Here the simulation program S7-PLCSIM can only be used for the MPI interface. More information on this topic is also available in the Online Help for S7-PLCSIM under:

· "Modifying Your Hardware Configuration".


Test_IO

 Top Previous Next

Error-free configuration of the MPI/DP interface and the I/O

QUESTIONS:

How do you test the I/O using the S7-PLCSIM simulation program?

The I/O is configured automatically with CPU modules without DP connection (e.g. CPU314). When you plug a module into a PLC, then that module is recognized automatically by the CPU. This configuration cannot be simulated with a simulated automation system. If you load a program from an S7-300 CPU (which configures the I/O automatically) into S7-PLCSIM, the system data does not include an I/O configuration.

In practice, automatically configured S7-300 CPUs (CPUs without DP connection) behave in S7-PLCSIM in the same way as loading program blocks without system data. Also when programming non-existent I/O addresses the CPU does not go into the STOP state. The I/O is handled as if that arbitrary address were available.

All S7-300 CPUs with DP connection (like the CPU 315-2DP, for example) and all S7-400 CPUs handle the I/O in S7-PLCSIM as it is in reality. More information on this topic is also available in the Online Help for S7-PLCSIM under:

· "Modifying Your Hardware Configuration".

The following table explains how you can use S7-PLCSIM to test the I/O without any errors.

No. | Description
1 | In order to test the I/O without any errors in a project with an S7-300 CPU without DP connection you must copy your program blocks into a project with an S7-300 CPU with DP connection (e.g. CPU 315-2DP). In the SIMATIC Manager you create a new STEP 7 project via "File > New ..." and in the next dialog you enter a project name and then save with OK.
2 | Now in the SIMATIC Manager you mark the project name and finally insert an S7-300 station via "Insert > Station > SIMATIC 300 Station".
3 | Open the hardware configuration and configure a CPU with DP connection, e.g. the CPU 315-2DP. Then save and compile the hardware configuration.
4 | Now copy the blocks (OBs, FBs, FCs and DBs) from your old project into the newly created project with the CPU 315-2DP.
5 | After loading the program blocks (including the system data blocks) into S7-PLCSIM the I/O is handled without errors.

Back to Questions


Видимые объекты

 Top Previous Next

Видимые объекты S7-PLCSIM

S7-PLCSIM предусматривает ряд видимых объектов, которые позволяют Вам наблюдать и модифицировать различные компоненты имитируемого ПЛК. Это следующие видимые объекты:

· CPU (ЦПУ)
· ACCUs & Status Word (Аккумуляторы и слово состояния)
· Block Regs (Регистры блоков данных)
· Stacks (Стеки)
· Input Variable (Входные переменные)
· Output Variable (Выходные переменные)
· Bit Memory (Меркеры)
· Timers (Таймеры)
· Counters (Счетчики)
· Generic Variable (Обобщенные переменные)
· Vertical Bits (Вертикальные биты)

Вы можете использовать в видимых объектах символическую адресацию.

Если она используется, для всех полей видимых объектов доступны всплывающие боксы подсказок, которым назначены символы.

Вы можете указывать на поле видимого объекта мышью, чтобы увидеть ее символический адрес и комментарий (отделенный двоеточием) в боксе подсказок.

Note

If you use an address in a view object that corresponds to F-System peripheral I/O, S7-PLCSIM displays a yellow background for that view object.


OB ошибок и прерываний

 Top Previous Next

Обзор OB ошибок и прерываний

S7-PLCSIM поддерживает следующее OB ошибок и прерываний:

OB40 - OB47 (аппаратные прерывания)

OB70 (ошибка резервирования входов/выходов) {только для 417-H}

OB72 (ошибка резервирования ЦПУ) {только для 417-H}

OB73 (ошибка резервирования коммуникаций) {только для 417-H}

OB80 (временная ошибка)

OB82 (диагностическое прерывание)

OB83 (вставка/удаление модуля)

OB85 (ошибка класса приоритета)

OB86 (неисправность носителя модулей)

To simulate the triggering of any of these OBs, select the S7-PLCSIM menu command Execute > Trigger Error OB and the OB or OB group that you want to trigger.

Notice

If values in the simulated PLC change after an error or interrupt OB has been triggered and is executing, S7-PLCSIM does not update the OB with the changed data. To cause the OB to use the changed data, you must close the OB dialog and reopen it.


Меню S7-PLCSIM

 Top Previous Next

Меню S7-PLCSIM

S7-PLCSIM включает следующие меню для исполнения операций с имитируемым ПЛК

File (Файл)

Edit (Правка)

View (Вид)

Insert (Вставка)

PLC (ПЛК – программируемый логический контроллер)

Execute (Исполнение)

Tools (Инструменты)

Window (Окно)

Help (Помощь)

What's This ? (Что это?)


"What's This?" Что это ?

 Top Previous Next

Чтобы получить информацию о элементах интерфейса S7-PLCSIM, используйте следующий прием:

1. Нажмите HLP-UP. Курсор мыши примет форму знака вопроса HLPCON-U.
2. Щелкните в той части окна, по которой Вы хотите получить больше информации. S7-PLCSIM покажет раздел помощи по этому элементу.


Форматы данных S7-PLCSIM

 Top Previous Next

В этой таблице приведены типы данных и форматы, используемые S7-PLCSIM.

Тип данных | Размер данных | Пример
Bits (Бит) | Bit, Byte | ? = off ? = on
Binary (Двоичный) | Byte, Word | 1001_0011
Decimal (Десятичный) | Byte, Word, Double Word | 232
Hex (Hexadecimal) (Шестнадцатеричный) | Byte, Word, Double Word | 9A
S7 Format (Шестнадцатеричный) | Byte, Word, Double Word | dw#16#9a2ff23
Integer (Целый) | Word, Double Word | 632, –2370
BCD (Binary-coded Decimal) (Двоично-десятичный) | Word, Double Word | 400
Real (Вещественное число с плавающей точкой) | Double Word | 1.234567e+023
Char (Character) | Byte, Word, Double Word | 'C', 'AB', 'ABCD'
String | 254 символа | 'This is a string - Это строка'
DT (DATE_AND_TIME) (Дата и Время) | 8 байт | 1993-12-25-08:01:01 Заметьте: Формат DT не поддерживает миллисекунд.
S5TIME | Word | 3m5s00ms
Date (Дата) | Word | 1998-06-18
Time (Время) | Double Word | 9h26m53s703ms
TOD (Время) | Double Word | 9:26:53.702
Ползунок Slider: Dec (десятичное значение) | Byte, Word, Double Word | SliderDec
Ползунок Slider: Int (Шестнадцатеричное значение) | Word, Double Word | SliderInt
Ползунок Slider: Real (Вещественное число с плавающей точкой) | Double Word | SliderReal


Response Form

 Top Previous

Your comments and recommendations will help us to improve the quality and usefulness of our publications. Please take the first available opportunity to fill out this questionnaire and return it to Siemens.

Please give each of the following questions your own personal mark within a range from 1 (very good) to 5 (very poor).

checkbox Do the contents meet your requirements?

checkbox Is the information you need easy to find?

checkbox Is the text easy to understand?

checkbox Does the level of technical detail meet your requirements?

checkbox Please rate the quality of the graphics and tables.

Additional comments:

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

_____________________________________________________

Please check any industry that applies to you:

Automotive

Chemical

Electrical Machinery

Food

Instrument and Control

Non electrical Machinery

Petrochemical

Pharmaceutical

Plastic

Pulp and Paper

Textiles

Transportation

Other ___________________________

Mail your response to:

Siemens Energy & Automation, Inc.

ATTN: Technical Communications

One Internet Plaza

Johnson City TN USA 37604

Include this information:

From

Name: __________________________________________________________

Job Title: ________________________________________________________

Company Name:__________________________________________________

Street:___________________________________________________________

City and State:____________________________________________________

Country: _________________________________________________________

Telephone:________________________________________________________


Максимальное время цикла

 Top

The maximum scan cycle time is the maximum time the process is allowed to take for one full scan cycle of the S7 user program in the OB1 and update of the relevant I/O. If this time is exceeded, the simulated PLC goes into STOP mode.


Symbol Tooltips

When you use symbolic addressing to monitor your program, tooltips are available for all view object fields that have symbols assigned to them. Point to a field with the mouse to see its symbolic address and comment (separated by a colon) in a tooltip box.


1, 2, 3, 4 Command (File Menu)

Use this menu command in conjunction with the File > Recent Simulation or File > Recent Layout command to open one of your four most recently used simulated programs or layouts. Select the number that corresponds to the program or layout you want to open.


1, 2, 3... 9 Command (Window Menu)

You can activate an open view object by selecting it from an alphabetical list in the Window menu. Select the number that corresponds to the desired view object. The currently active view object is indicated by a check mark.

If you have more than 9 view objects open, you can select More Windows... to see a dialog box with a complete list.


About... Command (Help Menu)

The menu command Help > About... gives you information on the version of the software and on the copyright.


Accumulators Command (View Menu)

ACCUM Accumulators Command (View Menu)

 Top

Click on ACCUM or select the menu command View > Accumulators to create a view object that allows you to monitor the following data:

· Accumulators: allows you to access the contents of the CPU accumulators. The view object displays four accumulator fields to accommodate the S7-400 CPU; programs for the S7-300 CPU use only two accumulators.
· Status word: allows you to access the bits of the status word.
· Address registers: allows you to access the contents of the two address registers (AR1 and AR2). These address registers are used for indirect addressing of variables.

See also:


Always On Top Command (View Menu)

Click on [image] or select the menu command View > Always On Top to keep S7-PLCSIM in front of any other concurrently running applications. Repeat the action to return S7-PLCSIM to its normal state.


Arrange Icons Command (Window Menu)

The menu command Window > Arrange Icons arranges all minimized view objects (view object icons) along the bottom edge of the S7-PLCSIM window.


Attach Symbols... Command (Tools Menu)

Select the menu command Tools > Options > Attach Symbols... to use symbolic addressing in your simulated program. This menu command invokes a dialog box where you can choose the STEP 7 symbol table to be referenced.

Once you have referenced a symbol table, you can use the menu command Tools > Options > Show Symbols to display the symbols in the view objects.

To see the symbol table itself, select the menu command Tools > Options > Symbol Table.

See also:


Automatic Timers Command (Execute Menu)

Select the menu command Execute > Automatic Timers to set up the CPU for executing the timers in the program.

To reset all of the timers in your program, use the Reset Timers [image] toolbar button.

To reset an individual timer, use the Reset Timers [image] button on the view object for that timer.

See also:

Manual Timers

Timers View Object


Bit Memory Command (Insert Menu)

Click [image] or select the menu command Insert > Bit Memory to create a view object that allows you to monitor and modify variables that are stored in the bit memory (M) area of the CPU. This view object opens with a default memory location of MB0.

See also:


Block Registers Command (View Menu)

REGIST Block Registers Command (View Menu)

 Top

Click on REGIST or select the menu command View > Block Registers to create a view object that allows you to monitor the contents of the data block address registers (DB1 and DB2). It also displays the number of the current logic block and the previous logic block, along with the number of the instruction (step address counter, or SAC) for each block.

See also:


Cascade Command (Window Menu)

cascade Cascade Command (Window Menu)

 Top

To arrange windows so that they overlap (starting in the upper-left corner of the S7-PLCSIM window), click on cascade or select the menu command Window > Cascade.


Clear/Reset Command (PLC Menu)

Select the menu command PLC > Clear/Reset, or click the "MRES" button on the CPU view object, to reset the memory, delete the program blocks, and delete the hardware configuration of the simulated PLC.

When you perform a memory clear/reset, the CPU automatically goes to STOP mode.

See also:

Memory Areas


Close PLC Command (File Menu)

Select the menu command File > Close PLC to close the currently open simulated PLC. This command closes the CPU view object and all other currently open view objects.

Closing a simulated program will result in errors in applications which are currently connected to the simulator.

See also:

Getting Started


Cold Start Command (Execute Menu)

Select the menu command Execute > Startup Switch Position > Cold Start to set the simulated CPU to perform a cold restart when it is switched from STOP to RUN mode.

With a cold restart, the operating system calls the cold restart OB (OB102), the user program is restarted from the beginning, and data stored in non-retentive areas are deleted.

Note

In order to use this command, you must first have permitted manual restart under STEP 7.

See also:

Hot Start Command (Execute Menu)


Contents... Command (Help Menu)

The menu command Help > Contents... opens the Contents screen of the S7-PLCSIM Help, displaying a list of topics for you to choose from.


Continuous Scan Command (Execute Menu)

Click [image] or select the menu command Execute > Scan Mode > Continuous Scan to set up the CPU for executing the program in a continuous cycle (in the same way that OB1 is executed by the CPU). The CPU executes the program when the operating mode is set to RUN, and stops when the operating mode is set to STOP.

The scan starts by reading the peripheral inputs (PI) and updating the process-image input (I) memory. The CPU then executes the instructions of the program and updates the memory areas. The scan ends by writing the process-image output (Q) memory to the peripheral-output (PQ) memory.

See also:


Copy Command (Edit Menu)

COPY-UP Copy Command (Edit Menu)

 Top

The COPY-UP (Edit > Copy) command copies selected text and puts it on the clipboard.


Counter Command (Insert Menu)

counter Counter Command (Insert Menu)

 Top

Click on counter ( zahler in German mnemonics) or select the menu command Insert > Counter to create a view object that allows you to monitor and modify the counters that are used by the program. This view object opens with a default memory location of C 0.

See also:


Warm Start Command (Execute Menu)

Select the menu command Execute > Startup Switch Position > Warm Start to set the simulated CPU to perform a warm restart when it is switched from STOP to RUN mode.

With a warm restart, the operating system calls the warm restart OB (OB100).

Note

In order to use this command, you must first have permitted manual restart under STEP 7.

See also:

Hot Start Command (Execute Menu)


Cut Command (Edit Menu)

CUT-UP Cut Command (Edit Menu)

 Top

The CUT-UP (Edit > Cut) command removes selected text and puts it on the clipboard.


Exit Command (File Menu)

Select the menu command File > Exit to close the simulated PLC and to exit the S7-PLCSIM application.

Exiting S7-PLCSIM, like closing a simulated PLC, can result in errors in applications which are currently connected to the simulator.

See also:


Generic Command (Insert Menu)

NUMERIC Generic Command (Insert Menu)

 Top

Click on NUMERIC or select the menu command Insert > Generic to create a view object that allows you to monitor and modify any of the variables used by the program, such as the input (I) or output (Q) memory areas. You can also access the data stored in the data blocks (DBs).

See also:


Getting Started Command (Help Menu)

The menu command Help > Getting Started opens a Help topic that helps you get started when you begin working with S7-PLCSIM for the first time.

See also:

Getting Started


Input Variable Command (Insert Menu)

Click on [image] or select the menu command Insert > Input Variable to create a view object that allows you to monitor and modify variables in the process input (I) memory area. This view object opens with a default memory location of IB0.

See also:


Introduction Command (Help Menu)

The menu command Help > Introduction opens a Help topic that gives a general overview of S7-PLCSIM and the tasks you can perform with it.

See also:

Introduction


Key Switch Position Command (Execute Menu)

Select the menu command Execute > Key Switch Position and choose RUN-P, RUN, or STOP to put the simulated PLC in the desired operating mode. You can also change the mode by clicking the check-boxes in the CPU view object.

See also:

CPU Operating Modes


Close Layout Command (File Menu)

To close the current layout of S7-PLCSIM view objects, select the menu command File > Close Layout.

See also:

Getting Started


Open Layout... Command (File Menu)

To open a previously saved layout of S7-PLCSIM view objects, select the menu command File > Open Layout.... A layout is simply an arrangement of view objects. In other words, the .LAY file archives only the position and selected data format of the view objects in your simulation; the data values that are displayed in the view objects are not saved as part of the layout.

See also:

Getting Started

Save Layout Command (File Menu)

Opening a Simulated PLC

Opening a Layout


Save Layout As... Command (File Menu)

To save the current layout of S7-PLCSIM view objects as a new file, select the menu command File > Save Layout As....

See also:


Save Layout Command (File Menu)

To save the current layout of S7-PLCSIM view objects, select the menu command File > Save Layout.

Note

· A layout is simply an arrangement of view objects. In other words, the .LAY file archives only the position and selected data format of the view objects in your simulation; the data values that are displayed in the view objects are not saved as part of the layout.
· You can save both the layout (.LAY file) and the PLC simulation (.PLC file) when you work. They are not mutually exclusive.

For information about what is archived if you save a PLC simulation (.PLC file), see Saving a Simulated PLC.

See also:


Manual Timers Command (Execute Menu)

Select the menu command Execute > Manual Timers to set up the CPU to allow you to enter a specific value or to reset the timers in the program. To return to running the timers automatically, select the menu command Execute > Automatic Timers.

To reset all of the timers in your program, use the Reset Timers [image] toolbar button.

To reset an individual timer, use the Reset Timers [image] button on the view object for that timer.

See also:

Automatic Timers

Timers View Object


Scan Mode Command (Execute Menu)

You can choose from two modes of execution for your simulated program: Single Scan and Continuous Scan. Select the menu command Execute > Scan Mode > Single Scan or Execute > Scan Mode > Continuous Scan.

See also:


MPI Address... Command (PLC Menu)

Select the menu command PLC > MPI Address... to modify the network node address for the simulated PLC. The new address is stored with the configuration of the simulated PLC when you use the Save PLC or Save PLC As... menu commands.

Ensure that the node address for the offline program matches the node address for the program in the simulated PLC.

When the Simulation On/Off button [image] on the SIMATIC Manager toolbar is turned on, clicking on the Accessible Nodes button shows you the simulated PLC that is currently open.

Note

You cannot change the node address for the simulated PLC if you are using STEP 7 applications to monitor the program. Close these applications before changing the node address.


New PLC Command (File Menu)

NEW-UP New PLC Command (File Menu)

 Top

Click NEW-UP or select the menu command File > New PLC to create a new simulated PLC.

See also:


Next Scan Command (Execute Menu)

NEXT Next Scan Command (Execute Menu)

 Top

Click NEXT or select the menu command Execute > Next Scan to request that the simulated CPU execute the next scan (if the simulation is set for Single Scan).

See also:


Open PLC... Command (File Menu)

OPEN-UP Open PLC... Command (File Menu)

 Top

To find and open an existing (saved) simulation of a PLC, click OPEN-UP or select the menu command File > Open PLC....

See also:


Options Command (Tools Menu)

Select the menu command Tools > Options and choose an option.

Attach Symbols... lets you reference a STEP 7 symbol table in order to use symbolic addressing in your simulated program.

Show Symbols lets you display symbols in view objects.

Reference Data lets you open the STEP 7 "Displaying S7 Reference Data" application, which you can use to debug your simulated program.

Symbol Table lets you view a STEP 7 symbol table.


Output Variable Command (Insert Menu)

Click on [image] or select the menu command Insert > Output Variable to create a view object that allows you to monitor and modify variables in the process output (Q) memory area. This view object opens with a default memory location of QB0.

See also:


Paste Command (Edit Menu)

PSTE-UP Paste Command (Edit Menu)

 Top

The PSTE-UP (Edit > Paste) command inserts the contents of the clipboard (whatever was last cut or copied) at the location of the cursor.


Pause Command (Execute Menu)

PAUSE Pause Command (Execute Menu)

 Top

Click PAUSE or select the menu command Execute > Pause to momentarily halt the execution of the program in the simulated PLC without changing any of the data (such as the state of the outputs). To resume the execution of the program, turn off the Pause function. The program then starts at the instruction where execution had been halted.

If a STEP 7 application is connected to the simulated PLC, using Pause may cause the application to time out and disconnect. If this happens, turn off the Pause function and reconnect the STEP 7 application.


Power Off Command (PLC Menu)

Select the menu command PLC > Power Off to simulate turning off the power to the PLC.

See also:


Power On Command (PLC Menu)

Select the menu command PLC > Power On to simulate turning on the power to the PLC.

See also:


Recent Layout Command (File Menu)

Use the menu command File > Recent Layout to select from a list of your four most recently used layouts. Select file 1, 2, 3, or 4 from the list of recent layouts.

See also:


Recent Simulation Command (File Menu)

Use the menu command File > Recent Simulation to select from a list of your four most recently used programs. Select file 1, 2, 3, or 4 from the list of recent simulations.

See also:


Record/Playback Command (Tools Menu)

Click on [image] or select the menu command Tools > Record/Playback to record or play back a sequence of events. The key sequence Alt + F5 toggles the display of the Record/Playback toolbar button.

See also:


Reference Data Command (Tools Menu)

Select the menu command Tools > Options > Reference Data to open the STEP 7 "Displaying S7 Reference Data" application. You can use this application to debug your simulated program.

This menu command is only available when a STEP 7 symbol table has been attached to the simulated program. Use the menu command Tools > Options > Attach Symbols... to invoke a dialog box where you can choose the STEP 7 symbol table to be referenced (attached).


Reset Timers... Command (Execute Menu)

The menu command Execute > Reset Timers... opens a dialog box allowing you to set the time value for each timer to its default value. You can reset all of the timers used by the program, or you can reset timers individually.

To reset all of the timers in your program, use the Reset Timers [image] toolbar button.

To reset an individual timer, use the Reset Timer [image] button on the view object for that timer.

See also:

Reset Timers Dialog Box

Automatic Timers

Manual Timers


RUN Command (Execute Menu)

Select the menu command Execute > Key Switch Position > RUN to put the simulated PLC in RUN mode. You can also do this by clicking the RUN check-box in the CPU view object.

In RUN mode, the CPU runs the program by updating the inputs, executing the program, and then updating the outputs. You cannot download any program or use the STEP 7 tools to change any parameters (such as input values) when the CPU is in RUN mode. You can still use the view objects created within S7-PLCSIM to modify any data used by the program, as in RUN-P mode.

See also:

CPU Operating Modes


RUN-P Command (Execute Menu)

Select the menu command Execute > Key Switch Position > RUN-P to put the simulated PLC in RUN-P mode. You can also do this by clicking the RUN-P check-box in the CPU view object.

In RUN-P mode, the CPU runs the program and allows you to change the program and its parameters. In order to use the STEP 7 tools for modifying any of the parameters of the program while the program is running, you must put the CPU in RUN-P mode. You can still use the view objects created within S7-PLCSIM to modify any data used by the program.

See also:

CPU Operating Modes


Save PLC As... Command (File Menu)

Select the menu command File > Save PLC As... to store the current state of the simulated PLC as a new file.

See also:

Saving a Simulated PLC


Save PLC Command (File Menu)

SAVE-UP Save PLC Command (File Menu)

 Top

Click SAVE-UP or select the menu command File > Save PLC to save the current state of the simulated PLC.

See also:

Saving a Simulated PLC


Scan Cycle Monitoring... Command (Execute Menu)

The menu command Execute > Scan Cycle Monitoring... opens a dialog box allowing you to enable or disable scan cycle monitoring (watchdog timer) and set the maximum scan cycle monitoring time (in milliseconds) for the simulation.

See also:


Show Symbols Command (Tools Menu)

Select the menu command Tools > Options > Show Symbols to display the symbolic addresses used in your program. To hide the symbols, select the command again.

This menu command is only available when a STEP 7 symbol table has been attached to the simulated program. Use the menu command Tools > Options > Attach Symbols... to invoke a dialog box where you can choose the STEP 7 symbol table to be referenced (attached).

To see the symbol table itself, select the menu command Tools > Options > Symbol Table.

Note

Symbol tooltips are available for view object address fields.

See also:


Single Scan Command (Execute Menu)

Click [image] or select the menu command Execute > Scan Mode > Single Scan to set up the CPU for executing the program one scan at a time. The CPU executes the complete program for one scan, then waits for you to request the next scan.

See also:


Stacks Command (View Menu)

STAX Stacks Command (View Menu)

 Top

Click on STAX or select the menu command View > Stacks to create a view object that allows you to monitor the nesting stack and the master control relay (MCR) stack:

· The nesting stack stores up to seven entries. For each entry, the nesting stack stores the states of the RLO and the OR bits of the status word. An entry in the nesting stack is made for each instruction that starts a new logic string. These instructions are: And (A), And Not (AN), Or (O), Or Not (ON), Exclusive Or (X), and Exclusive Or Not (XN).
· The MCR stack stores up to eight levels of nesting for a master control relay. Each level shows the status of the RLO bit of an MCR( instruction, which begins an MCR area.

See also:


Startup Switch Position Command (Execute Menu)

Select the menu command Execute > Startup Switch Position and pick a restart option to determine what the simulated CPU will do when it is switched from STOP to RUN mode:

Hot Start --the operating system calls OB101

Warm Start --the operating system calls OB100

Cold Start --the operating system calls OB102

Note

In order to use these commands you must first have permitted manual restart under STEP 7.


Status Bar Command (View Menu)

Select the menu command View > Status Bar to toggle on/off the display of ths S7-PLCSIM status bar. The status bar appears at the bottom of the S7-PLCSIM window and contains information and messages that help you use S7-PLCSIM.


STOP Command (Execute Menu)

Select the menu command Execute > Key Switch Position > STOP to put the simulated PLC in STOP mode. You can also do this by clicking the STOP check-box in the CPU view object.

In STOP mode, the CPU does not run the program. Unlike STOP mode for real CPUs, the outputs are not set to predefined ("safe") values but remain at the state they were in when the CPU changed to STOP mode. You can download programs to the CPU while the CPU is in STOP mode. Changing from STOP mode to RUN mode starts execution of the program from the first instruction.

See also:

CPU Operating Modes


Symbol Table Command (Tools Menu)

Select the menu command Tools > Options > Symbol Table to open the STEP 7 Symbol Editor and view the currently referenced symbol table.

This menu command is only available when a STEP 7 symbol table has been attached to the simulated program. Use the menu command Tools > Options > Attach Symbols... to invoke a dialog box where you can choose the STEP 7 symbol table to be referenced (attached).

See also:


Tile Ordered Command (Window Menu)

tile Tile Ordered Command (Window Menu)

 Top

To arrange the S7-PLCSIM view objects side by side, with the CPU view object in the top left, click on tile or select the menu command Window > Tile Ordered.


Timer Command (Insert Menu)

timer Timer Command (Insert Menu)

 Top

Click timer or select the menu command Insert > Timer to create a view object that allows you to monitor and modify the timers that are used by the program. This view object opens with a default memory location of T 0.

See also:

Timers View Object


Toolbars Command (View Menu)

Use the Toolbars dialog box to choose which S7-PLCSIM toolbars you want to display.

For help on the individual toolbar buttons, click on the pictures below.

Standard:

Insert:

CPU Mode:

Record/Playback Files:

You can toggle the display of any of these toolbars by concurrently pressing the Alt key and a function key. The following shortcut key combinations are available:

· ALT + F1 Toggles the display of the Standard toolbar.
· ALT + F2 Toggles the display of the Insert toolbar.
· ALT + F3 Toggles the display of the CPU Mode toolbar.
· ALT + F4 Closes S7-PLCSIM.
· ALT + F5 Toggles the display of the Record/Playback toolbar.


Trigger Error OB Command (Execute Menu)

The menu command Execute > Trigger Error OB allows you to test how your program handles different interrupt OBs. S7-PLCSIM supports the following:

Hardware Interrupt (OB40-OB47 )...

I/O Redundancy Error (OB70)...

CPU Redundancy Error (OB72)...

Communication Error (OB73)...

Time Error (OB80 )...

Diagnostic Interrupt (OB82) ...

Insert/Remove Module Interrupt (OB83 )...

Priority Class Error (OB85 )...

Rack Failure (OB86) ...

Making any of these selections opens a dialog box where you enter the necessary data for the simulation of that OB.

See also:


Undo Command (Edit Menu)

Select the menu command Edit > Undo to reverse the last action you performed. Undo only applies to editable text/numeric fields and to the commands of the Edit and Window menus.

The Undo command is also available from the right-click menu of any editable text field.


Using Help Command (Help Menu)

The menu command Help > Using Help provides information on using the online Help system, useful if you are new to software products based on Microsoft Windows. Windows Help systems are designed to serve as online manuals.


Vertical Bits Command (Insert Menu)

Click on [image] or select the menu command Insert > Vertical Bits to create a view object displays the symbolic or absolute address next to each bit and allows you to monitor and modify any of the variables used by the program, such as the input (I) or output (Q) memory areas. You can also access the data stored in the data blocks (DBs).

See also:


Hot Start Горячий рестарт (Execute Menu)

· (Горячий рестарт) операционная система вызовет OB101;

Select the menu command Execute > Startup Switch Position > Hot Start to set the simulated CPU to perform a hot restart when it is switched from STOP to RUN mode.

With a hot restart, the operating system calls the restart OB (OB101), and the user program continues from the point of interruption.

Note

In order to use this command, you must first have permitted manual restart under STEP 7.

See also: